### Method

# Gtk Widget is_ancestor

#### Declaration [src]

    gboolean
    gtk_widget_is_ancestor (
      GtkWidget* widget,
      GtkWidget* ancestor
    )

#### Description [src]

Determines whether `widget` is somewhere inside `ancestor`, possibly with intermediate containers.

#### Parameters

`ancestor` | `GtkWidget`
| Another `GtkWidget`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if `ancestor` contains `widget` as a child, grandchild, great grandchild, etc.